Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
    TildeyyLumes (She/Her, They/Them)
    @tilde_lumes:matrix.org
    [m]
    Well
    Ungoogled chromium flatpak isnt opening on linux mint 20.3
    networkException
    @networkexception:chat.upi.li
    [m]
    TildeyyLumes (She/Her, They/Them)
    @tilde_lumes:matrix.org
    [m]
    Ok
    networkException
    @networkexception:chat.upi.li
    [m]
    no not really
    tim
    @tim:nullvoid.de:8448
    [m]
    Hi all, with 99.0.4844.51 I get a weird issue building, I don't seem to find anthing about it. Am I missing something obvious?
    FAILED: gen/components/url_formatter/spoof_checks/top_domains/top500-domains-inc.cc 
    python3 ../../build/gn_run_binary.py make_top_domain_list_variables ../../components/url_formatter/spoof_checks/top_domains/domains.list top500_domains gen/components/url_formatter/spoof_checks/top_domains/top500-domains-inc.cc
    make_top_domain_list_variables failed with exit code -4
    [22133/48325] ACTION //third_party/devtools-frontend/src/front_end/entrypoints/devtools_app:devtools_entrypoint-entrypoint-tsconfig(//build/toolchain/linux/unbundle:default)
    [22134/48325] ACTION //third_party/devtools-frontend/src/front_end/entrypoints/js_app:devtools_entrypoint-entrypoint-tsconfig(//build/toolchain/linux/unbundle:default)
    [22135/48325] ACTION //third_party/devtools-frontend/src/front_end/entrypoints/node_app:devtools_entrypoint-entrypoint-tsconfig(//build/toolchain/linux/unbundle:default)
    ninja: build stopped: subcommand failed.
    =======> ERROR: Building '/home/pkgmk/packages_thor/ungoogled-chromium#99.0.4844.51-1.pkg.tar.xz' failed.
    networkException
    @networkexception:chat.upi.li
    [m]
    what build tool are you using?
    tim
    @tim:nullvoid.de:8448
    [m]
    I am building on CRUX, with clang/lld
    networkException
    @networkexception:chat.upi.li
    [m]
    networkException
    @networkexception:chat.upi.li
    [m]
    The fix in llvm is on the branch for version 14 as far as I can tell, you might need to build using gcc for now
    tim
    @tim:nullvoid.de:8448
    [m]
    or use the llvm 14 rc :^ snap
    networkException
    @networkexception:chat.upi.li
    [m]
    or that yea
    tim
    @tim:nullvoid.de:8448
    [m]
    nothing which I will finish tonight then, thanks networkException, I wouldn't have spotted that on my own
    I will probably upgrade to the rc to keep thinlto
    tim
    @tim:nullvoid.de:8448
    [m]
    at least, thats what I would want to do, but there is a bug in the latest rc tag that prohibits building it for me and I can't find it in me to create my own distfiles right now (it's sunday after all) llvmbot/llvm-project#110
    kv-gits
    @kv-gits
    On wndows 10 x64 I get error "not found msvcrt.lib"
    networkException
    @networkexception:chat.upi.li
    [m]
    Please stick to the ungoogled-chromium-windows issue tracker for bugs, if people are unable to find a solution there they won't be able to help here either.
    kv-gits
    @kv-gits
    @networkexception:chat.upi.li Ok, I did this.
    Obaid Ur Rehman
    @Obaid51
    image.png
    Hi all, I am trying to build ungoogled chromium but getting this error while building.
    I was thinking about opening an issue in ungoogled-chromium-windows but thought I should ask first. Does it has something to do with MAX_PATH?
    networkException
    @networkexception:chat.upi.li
    [m]
    yes
    its documented in the readme of ungoogled-chromium-windows
    Obaid Ur Rehman
    @Obaid51
    Ohh OK, Thanks. I couldn't find the option to disable it while installing python but manually changed it from registry of windows but I guess that didn't work.
    Obaid Ur Rehman
    @Obaid51
    image.png
    Still getting the same error even after disabling the MAX_PATH.
    Obaid Ur Rehman
    @Obaid51
    I think the build is not failing because of the filename but because of ninja
    Obaid Ur Rehman
    @Obaid51
    The issue got resolved. Previously I was using x64 native tools command prompt and disabling MAX_PATH wasn't working on it, after switching to cmd it worked. Thanks @networkexception:chat.upi.li for the help.
    One piece of advice I need is to build this took me around 5-6 hours on my system. So every time I make some changes in code, do I have to build it again or is there some better way?
    networkException
    @networkexception:chat.upi.li
    [m]
    Not sure if thats available on Windows but ccache allows you to save rebuild time
    tim
    @tim:nullvoid.de:8448
    [m]
    I think on windows its better to use sccache, but I have no first hand experience with it, just something I think I read somewhere
    tim
    @tim:nullvoid.de:8448
    [m]
    snap, just tried building 99.0.4844.74, same problem with llvm as before. llvm, taking tar balls, is uncompileable right now.. maybe I'll just build a git checkout and just use that :^
    Ryuk1Wringer
    @Ryuk1Wringer
    Hello everyone, I am new to programming and was trying to make a new browser out of ungoogled chromium. I built the project successfully and changed logos and name of chrome using stackoverflow answers. However I am stuck at how to build it again so that I can get the new browser? If I try to run build.py, it fails because of already existing src folder. If I tries to run the ninja command from build.py directly, it build the chromium version again. So is it possible if anybody could guide me in a little detail. Thanks in advance.
    wchen342
    @wchen342:matrix.org
    [m]
    You mean my ungoogled-chromium-building-scripts? Can you elaborate what you mean by "build the chromium version again"?
    tim
    @tim:nullvoid.de:8448
    [m]
    btw, I was able to update to llvm 14 and after that also ugc. thanks again networkException, you were spot on
    life-the-user
    @life-the-user:matrix.org
    [m]
    hello
    i would like to know the specific telemetry that was removed from default chromium
    networkException
    @networkexception:chat.upi.li
    [m]
    The readme should list / link to the specific changes
    questionaskarch
    @questionaskarch:matrix.org
    [m]
    With the most recent Arch Linux, the ungoogled-chromium fails with "/usr/lib/chromium/chromium: error while loading shared libraries: libicui18n.so.70: cannot open shared object file: No such file or directory"
    networkException
    @networkexception:chat.upi.li
    [m]
    There's already a rebuild in process on GitHub Actions. Sadly the OBS didn't have the newest ICU version available when starting the rebuild so it built with the old version still
    I will start a new OBS build in a bit
    nikolio
    @nikolio
    anyone running xfce?
    I want to verify a chromium bug
    can you view a youtube video using picture in picture mode?
    nikolio
    @nikolio
    I'm getting sigserv
    tim
    @tim:nullvoid.de
    [m]
    anyone else has the problem that clang 14.0.2 puts files in /usr/include/clang/14.0.1 and the new chromium failed to build because of that? Just downgraded and it started compiling fine
    1 reply
    testuser
    @testuser:synapse.git-bruh.duckdns.org
    [m]
    Maybe
    tim
    @tim:nullvoid.de
    [m]
    maybe, yes :D But it build like that on several machines for me
    testuser
    @testuser:synapse.git-bruh.duckdns.org
    [m]
    It should put the headers in the 14.0.2 dir